## visad.data.hdf5.hdf5objects
Class HDF5Attribute

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object
          visad.data.hdf5.hdf5objects.HDF5Dataset
              visad.data.hdf5.hdf5objects.HDF5Attribute

All Implemented Interfaces:
  Serializable

public class HDF5Attribute
extends HDF5Dataset

An HDF5 attribute is a small datasets attached to primary datasets as metadata information. Because attributes are intended to be small objects, large datasets intended as additional information for a primary dataset should be stored as supplemental datasets in a group with the primary dataset.

Attributes are not seperate objects in the file, they are always contained in the object header of the object they are attached to.

For details of the HDF5 libraries, see the HDF5 Documentation at: http://hdf.ncsa.uiuc.edu/HDF5/doc/

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Dataset
`count, data, dataspace, datatype, dims, maxdims, member_names, rank`

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`ATTRIBUTE, DATASET, DATASPACE, DATATYPE, description, GROUP, HDF5FILE, id, LINK, name, shortName, type, UNKNOWN`

Constructor Summary
`HDF5Attribute()` cosntruct an HDF5Attribute
`HDF5Attribute(int loc_id, int idx)` Opens an HDF5Attribute specified by its index.
`HDF5Attribute(int loc_id, String attr_name)` Opens an HDF5Attribute specified by its name
`HDF5Attribute(int loc_id, String attr_name, int type_id, int space_id, int create_plist)` Creates a new HDF5Attribute

Method Summary
`protected void` `finalize()` finalize() is called by the garbage collector on the object when garbage collection determines that there are no more references to the object.
`void` `init()` initialize the HDF5Attribute: Set up datatype and dataspace.

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Dataset
`convertUnsignedData, getCount, getData, getDataspace, getDatatype, getDims, getMaxdims, getRank, readData, readData, toString, writeData, writeData`

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`getDescription, getID, getName, getShortName, getType, setID, setShortName, setType`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5Attribute

    public HDF5Attribute()

  cosntruct an HDF5Attribute

### HDF5Attribute

    public HDF5Attribute(int loc_id,
                         String attr_name,
                         int type_id,
                         int space_id,
                         int create_plist)

  Creates a new HDF5Attribute

Parameters:
  `loc_id` - The identifier of the object the attribute is attached to.
  `attr_name` - Name of attribute to create.
  `type_id` - The identifier of datatype for attribute.
  `space_id` - The identifier of dataspace for attribute.
  `create_plist` - The identifier of creation property list.

### HDF5Attribute

    public HDF5Attribute(int loc_id,
                         String attr_name)

  Opens an HDF5Attribute specified by its name

Parameters:
  `loc_id` - The identifier of the object the attribute is attached to.
  `attr_name` - Name of attribute to create.

### HDF5Attribute

    public HDF5Attribute(int loc_id,
                         int idx)

  Opens an HDF5Attribute specified by its index.

Parameters:
  `loc_id` - The identifier of the object the attribute is attached to.
  `idx` - The index of the attribute to open.

Method Detail

### init

    public void init()
              throws HDF5Exception

  initialize the HDF5Attribute:
  1. Set up datatype and dataspace.
  2. Set up data ranks and dimensions.

  Overrides:
    `init` in class `HDF5Dataset`
  Throws:
    `HDF5Exception`

### finalize

    protected void finalize()
                     throws Throwable

  finalize() is called by the garbage collector on the object when garbage collection determines that there are no more references to the object. It is used to dispose of system resources or to perform other cleanup as C++ destructors

  Overrides:
    `finalize` in class `HDF5Dataset`
  Throws:
    `Throwable`